API reference OpenAPI 3.1
GET /verify/sessions/{id}

Read a verify session (integrator API key or X-Verify-Token)

Bearer API key or staff session operation getVerifySession

Parameters

NameInTypeRequiredDescription
id path string Yes —
X-Verify-Token header string No hosted-flow token; token must belong to this session

Request

This endpoint has no request body.

curl "$MONICHEK_API/verify/sessions/{id}" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/verify/sessions/{id}`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.get(
    f"{os.environ['MONICHEK_API']}/verify/sessions/{id}",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/verify/sessions/{id}');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK session incl. identity/screening/combined decisions, risk rating and reasons application/json
{
  "object": "verify_session",
  "id": "vs_01M3R..."
}

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem
404 Not Found RFC 9457 problem
410 Gone RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.